## org.apache.log4j.pattern
Class ThrowableInformationPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.ThrowableInformationPatternConverter

    public class ThrowableInformationPatternConverter

extends LoggingEventPatternConverter

Outputs the ThrowableInformation portion of the LoggingEvent. By default, outputs the full stack trace. %throwable{none} or %throwable{0} suppresses the stack trace. %throwable{short} or %throwable{1} outputs just the first line. %throwable{n} will output n lines for a positive integer or drop the last -n lines for a negative integer.

Author:
  Paul Smith

Method Summary
`void` `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`boolean` `handlesThrowable()` This converter obviously handles throwables.
`static ThrowableInformationPatternConverter` `newInstance(String[] options)` Gets an instance of the class.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static ThrowableInformationPatternConverter newInstance(String[] options)

  Gets an instance of the class.

  Parameters:
    `options` - pattern options, may be null. If first element is "short", only the first line of the throwable will be formatted.
  Returns:
    instance of class.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### handlesThrowable

    public boolean handlesThrowable()

  This converter obviously handles throwables.

  Overrides:
    `handlesThrowable` in class `LoggingEventPatternConverter`
  Returns:
    true.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.